Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Apr 2023 14:01:30 +0300

> From: João Távora <[email-masked]>
> Date: Wed, 12 Apr 2023 11:38:35 +0100
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked]
> 
> On Wed, Apr 12, 2023 at 11:23 AM Eli Zaretskii <[email-masked]> wrote:
> 
> > Why do you insist on threats of reverting being the only efficient
> > means of communications about these matters?  This is supposed to be a
> > collaborative effort, not a confrontation.
> 
> Of course.  But we don't agree Eli, and that's a normal part of
> working with someone.

We are talking here about relative merits of two mostly equivalent
commands, one of which is more general than the other and will allow
users to perform what you want, among other things.  The disagreement
is about how serious is the problem of having the UI change for Emacs
users from Emacs 29 onwards.  (Btw, having a special Eglot command
also constitutes a change in the UI.)  When this kind of matters are
in disagreement (as opposed to design and implementation of package
which you develop and maintain), I expect my opinion to have a
slightly larger weight.

> But I don't want to stop you from doing that if you really think it's
> the correct way.  No confrontation here, Eli.  And in fact, if I'm wrong
> and people love `package-update-core-package` and find it consistent,
> then `eglot-update` will just fall into oblivion and be forgotten,
> and we can deprecate it just like we did `eglot-manual`.  So please,
> work with me and give me the benefit of the doubt that this 4-line
> helper command in Eglot won't hurt anybody and might actually
> help somebody.

I think adding such a command would be a mistake, so I'm asking you
not to add such a command to Emacs.  Please!